#!/bin/bash

echo "Prénom NOM:"
read NOM
echo "Date valeur du virement: (jj/mm/aaaa)"
read DATE
echo "Montant: (20euros ou 10euros)"
read MONTANT

echo "$NOM $DATE $MONTANT"
echo $DATE | egrep -q '[0-9]{2}/[0-9]{2}/[0-9]{4}' || (echo "Erreur avec date" && exit 1)
echo $MONTANT | egrep -q '(20euros|10euros)' || (echo "Erreur avec montant" && exit 1)

FILENAME=`echo "$NOM $DATE $MONTANT" | iconv -f UTF-8 -t ASCII//TRANSLIT//IGNORE | sed -e 's/\(.*\)/\L\1/' -e 's/ /_/g' -e 's/\//-/g'`
echo "$NOM $DATE $MONTANT" | tee $FILENAME | gpg --sign --armor >> $FILENAME
[ "$?" == "0" ] && echo "Fichier $FILENAME créé"
